---
title: create new print subscription list
slug: api-documentation/create-new-print-subscription-list
docTags: 
createdAt: 2026-08-27T17:02:13.658Z
---

{
  "id": "bmybWxT_xb2hupFoyDZMk",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/customer/subscriptions/print",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/customer/subscriptions/print"
      }
    ],
    "name": "create new print subscription list",
    "description": "<p>This endpoint allows administrators to create a new print subscription list (catalog).</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>customer.subscription.create</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "The request body should contain the name of new list and associated site ids.",
          "customType": "CreateSubscriptionListRequest",
          "schema": [
            {
              "name": "id",
              "kind": "optional",
              "type": "string<uuid>",
              "description": "The ID of the print subscription list.",
              "example": "ced8ef74-c968-47f6-98e0-d780d3da85fb",
              "format": "uuid"
            },
            {
              "name": "siteIds",
              "kind": "required",
              "type": "array",
              "description": "A list of sites that the print subscription list is associated with.",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "listName",
              "kind": "required",
              "type": "string",
              "description": "<p>The name of the print subscription list (e.g. representing one catalog).</p>",
              "example": "Super Items Catalog"
            }
          ],
          "modelRef": "#/components/schemas/CreateSubscriptionListRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "<p>Success - print subscription list created.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "SubscriptionListState",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "The ID of the print subscription list.",
                "example": "ced8ef74-c968-47f6-98e0-d780d3da85fb",
                "format": "uuid"
              },
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "A list of sites that the print subscription list is associated with.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "listName",
                "kind": "required",
                "type": "string",
                "description": "<p>The name of the print subscription list (e.g. representing one catalog).</p>",
                "example": "Super Items Catalog"
              },
              {
                "name": "activeSubscriptions",
                "kind": "required",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/PrintSubscription",
                "customType": "PrintSubscription[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "The ID of the print subscription.",
                    "example": "ced8ef74-c968-47f6-98e0-d780d3da85fb"
                  },
                  {
                    "name": "details",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/PrintSubscriptionDetails",
                    "customType": "PrintSubscriptionDetails",
                    "schema": [
                      {
                        "name": "firstName",
                        "kind": "required",
                        "type": "string",
                        "description": "First name of the customer.",
                        "example": "John"
                      },
                      {
                        "name": "lastName",
                        "kind": "required",
                        "type": "string",
                        "description": "Last name of the customer.",
                        "example": "Doe"
                      },
                      {
                        "name": "businessName",
                        "kind": "optional",
                        "type": "string",
                        "description": "Business name of the customer.",
                        "example": "Company Corporation"
                      },
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string<email>",
                        "description": "<p>E-mail address associated with the customer.</p>",
                        "example": "example@example.com",
                        "format": "email"
                      },
                      {
                        "name": "phone",
                        "kind": "optional",
                        "type": "string",
                        "description": "Phone number associated with the customer.",
                        "example": "8668675309"
                      },
                      {
                        "name": "address",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/PrintAddress",
                        "customType": "PrintAddress",
                        "schema": [
                          {
                            "name": "addressLine1",
                            "kind": "required",
                            "type": "string",
                            "description": "Address used for print catalog delivery.",
                            "example": "My Street 1"
                          },
                          {
                            "name": "addressLine2",
                            "kind": "optional",
                            "type": "string",
                            "description": "Additional address line used for print catalog delivery."
                          },
                          {
                            "name": "city",
                            "kind": "required",
                            "type": "string",
                            "description": "City used for print catalog delivery.",
                            "example": "New York"
                          },
                          {
                            "name": "state",
                            "kind": "required",
                            "type": "string",
                            "description": "State used for print catalog delivery.",
                            "example": "New York"
                          },
                          {
                            "name": "zip",
                            "kind": "required",
                            "type": "string",
                            "description": "ZIP code used for print catalog delivery.",
                            "example": "10001"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "intent",
                    "kind": "required",
                    "type": "string<Create | Remove>",
                    "description": "<p>Intent of the action - create or remove print subscription.</p>",
                    "example": "Create",
                    "enum": [
                      "Create",
                      "Remove"
                    ]
                  },
                  {
                    "name": "dateModified",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "Date of the last modification of print subscription.",
                    "example": "2017-07-21T17:32:28Z",
                    "format": "date-time"
                  }
                ]
              },
              {
                "name": "removedSubscriptions",
                "kind": "required",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/PrintSubscription",
                "customType": "PrintSubscription[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "The ID of the print subscription.",
                    "example": "ced8ef74-c968-47f6-98e0-d780d3da85fb"
                  },
                  {
                    "name": "details",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/PrintSubscriptionDetails",
                    "customType": "PrintSubscriptionDetails",
                    "schema": [
                      {
                        "name": "firstName",
                        "kind": "required",
                        "type": "string",
                        "description": "First name of the customer.",
                        "example": "John"
                      },
                      {
                        "name": "lastName",
                        "kind": "required",
                        "type": "string",
                        "description": "Last name of the customer.",
                        "example": "Doe"
                      },
                      {
                        "name": "businessName",
                        "kind": "optional",
                        "type": "string",
                        "description": "Business name of the customer.",
                        "example": "Company Corporation"
                      },
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string<email>",
                        "description": "<p>E-mail address associated with the customer.</p>",
                        "example": "example@example.com",
                        "format": "email"
                      },
                      {
                        "name": "phone",
                        "kind": "optional",
                        "type": "string",
                        "description": "Phone number associated with the customer.",
                        "example": "8668675309"
                      },
                      {
                        "name": "address",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/PrintAddress",
                        "customType": "PrintAddress",
                        "schema": [
                          {
                            "name": "addressLine1",
                            "kind": "required",
                            "type": "string",
                            "description": "Address used for print catalog delivery.",
                            "example": "My Street 1"
                          },
                          {
                            "name": "addressLine2",
                            "kind": "optional",
                            "type": "string",
                            "description": "Additional address line used for print catalog delivery."
                          },
                          {
                            "name": "city",
                            "kind": "required",
                            "type": "string",
                            "description": "City used for print catalog delivery.",
                            "example": "New York"
                          },
                          {
                            "name": "state",
                            "kind": "required",
                            "type": "string",
                            "description": "State used for print catalog delivery.",
                            "example": "New York"
                          },
                          {
                            "name": "zip",
                            "kind": "required",
                            "type": "string",
                            "description": "ZIP code used for print catalog delivery.",
                            "example": "10001"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "intent",
                    "kind": "required",
                    "type": "string<Create | Remove>",
                    "description": "<p>Intent of the action - create or remove print subscription.</p>",
                    "example": "Create",
                    "enum": [
                      "Create",
                      "Remove"
                    ]
                  },
                  {
                    "name": "dateModified",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "Date of the last modification of print subscription.",
                    "example": "2017-07-21T17:32:28Z",
                    "format": "date-time"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/SubscriptionListState",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "b3HFsy_OCCH6ciLEijJXJ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/customer/subscriptions/print \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"siteIds\": [],\n     \"listName\": \"Super Items Catalog\"\n     }'"
        },
        {
          "id": "HiC4B0yFfYpuibkW-nxHT",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"siteIds\": [],\n   \"listName\": \"Super Items Catalog\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/customer/subscriptions/print\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "7AFGri-2gs4P8VpExfEnq",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/customer/subscriptions/print\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"siteIds\": [],\n   \"listName\": \"Super Items Catalog\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "mRI79G_ujZPaE2RdHxr-z",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/customer/subscriptions/print\"\n\npayload = json.dumps({\n   \"siteIds\": [],\n   \"listName\": \"Super Items Catalog\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "b3HFsy_OCCH6ciLEijJXJ"
    },
    "results": {
      "languages": [
        {
          "id": "KXVWToVksUjfzBpsRhOnt",
          "language": "201",
          "code": "// Success - print subscription list created.\n{\n  \"id\": \"ced8ef74-c968-47f6-98e0-d780d3da85fb\",\n  \"siteIds\": [\n    \"\"\n  ],\n  \"listName\": \"Super Items Catalog\",\n  \"activeSubscriptions\": [\n    {\n      \"id\": \"ced8ef74-c968-47f6-98e0-d780d3da85fb\",\n      \"details\": {\n        \"firstName\": \"John\",\n        \"lastName\": \"Doe\",\n        \"businessName\": \"Company Corporation\",\n        \"email\": \"example@example.com\",\n        \"phone\": \"8668675309\",\n        \"address\": {\n          \"addressLine1\": \"My Street 1\",\n          \"addressLine2\": \"\",\n          \"city\": \"New York\",\n          \"state\": \"New York\",\n          \"zip\": \"10001\"\n        }\n      },\n      \"intent\": \"Create\",\n      \"dateModified\": \"2017-07-21T17:32:28Z\"\n    }\n  ],\n  \"removedSubscriptions\": [\n    {\n      \"id\": \"ced8ef74-c968-47f6-98e0-d780d3da85fb\",\n      \"details\": {\n        \"firstName\": \"John\",\n        \"lastName\": \"Doe\",\n        \"businessName\": \"Company Corporation\",\n        \"email\": \"example@example.com\",\n        \"phone\": \"8668675309\",\n        \"address\": {\n          \"addressLine1\": \"My Street 1\",\n          \"addressLine2\": \"\",\n          \"city\": \"New York\",\n          \"state\": \"New York\",\n          \"zip\": \"10001\"\n        }\n      },\n      \"intent\": \"Create\",\n      \"dateModified\": \"2017-07-21T17:32:28Z\"\n    }\n  ]\n}"
        },
        {
          "id": "t5jAFyjZet5MhXItxaUUV",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "RVdT7FuJvP2Aq1aUncybS",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "hwnWKHt-mhzroYM7D-0TM",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "KXVWToVksUjfzBpsRhOnt"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}